GET/cosmos/gov/v1/params/{params_type}

https://rest-babylon-mainnet.nodit.io/cosmos/gov/v1/params/string

Params queries all parameters of the gov module.

Path Parameters
params_typestringrequired

params_type defines which parameters to query for, can be one of "voting", "tallying" or "deposit".

Responses
voting_periodstring

Duration of the voting period.

min_depositobject[]

Minimum deposit for a proposal to enter voting period.

denomstring

Token denomination.

amountstring

Amount, as an integer string in the smallest unit.

max_deposit_periodstring

Maximum period for Atom holders to deposit on a proposal. Initial value: 2 months.

quorumstring

Minimum percentage of total stake needed to vote for a result to be considered valid.

thresholdstring

Minimum proportion of Yes votes for proposal to pass. Default value: 0.5.

veto_thresholdstring

Minimum value of Veto votes to Total votes ratio for proposal to be vetoed. Default value: 1/3.

min_depositobject[]

Minimum deposit for a proposal to enter voting period.

denomstring

Token denomination.

amountstring

Amount, as an integer string in the smallest unit.

max_deposit_periodstring

Maximum period for Atom holders to deposit on a proposal. Initial value: 2 months.

voting_periodstring

Duration of the voting period.

quorumstring

Minimum percentage of total stake needed to vote for a result to be considered valid.

thresholdstring

Minimum proportion of Yes votes for proposal to pass. Default value: 0.5.

veto_thresholdstring

Minimum value of Veto votes to Total votes ratio for proposal to be vetoed. Default value: 1/3.

min_initial_deposit_ratiostring

The ratio representing the proportion of the deposit value that must be paid at proposal submission.

proposal_cancel_ratiostring

Proportion of the deposit not returned to depositors when a proposal is cancelled.

proposal_cancel_deststring

Address to receive (proposal_cancel_ratio * deposit) of the deposit. If empty, the amount is burned.

expedited_voting_periodstring

Voting period for expedited proposals.

expedited_thresholdstring

Minimum proportion of yes votes required for a proposal to pass. Default: 0.67.

expedited_min_depositobject[]

Minimum expedited deposit for a proposal to enter voting period.

denomstring

Token denomination.

amountstring

Amount, as an integer string in the smallest unit.

burn_vote_quorumboolean

Whether to burn deposits if the proposal does not reach quorum.

burn_proposal_deposit_prevoteboolean

Whether to burn deposits if the proposal does not enter the voting period.

burn_vote_vetoboolean

Whether to burn deposits if the proposal is vetoed (no_with_veto).

min_deposit_ratiostring

Minimum ratio of the required deposit that must be met at submission. Default: 0.01. For a chain where min_deposit is 100stake, a deposit of 1stake is required.

X-API-KEY
RequestCU1
cURL
curl -X GET "https://rest-babylon-mainnet.nodit.io/cosmos/gov/v1/params/string" \
  -H "X-API-KEY: {YOUR_API_KEY}"
Response
Example · 200
{
  "voting_params": {
    "voting_period": "string"
  },
  "deposit_params": {
    "min_deposit": [
      {
        "denom": "string",
        "amount": "string"
      }
    ],
    "max_deposit_period": "string"
  },
  "tally_params": {
    "quorum": "string",
    "threshold": "string",
    "veto_threshold": "string"
  },
  "params": {
    "min_deposit": [
      {
        "denom": "string",
        "amount": "string"
      }
    ],
    "max_deposit_period": "string",
    "voting_period": "string",
    "quorum": "string",
    "threshold": "string",
    "veto_threshold": "string",
    "min_initial_deposit_ratio": "string",
    "proposal_cancel_ratio": "string",
    "proposal_cancel_dest": "string",
    "expedited_voting_period": "string",
    "expedited_threshold": "string",
    "expedited_min_deposit": [
      {
        "denom": "string",
        "amount": "string"
      }
    ],
    "burn_vote_quorum": true,
    "burn_proposal_deposit_prevote": true,
    "burn_vote_veto": true,
    "min_deposit_ratio": "string"
  }
}